{

  description = "Skynet Presentations";

  inputs = {
        utils.url = "github:numtide/flake-utils";

        # nix flake lock --update-input bfom
        bfom.url = "gitlab:silver_rust/bfom";
  };

  outputs = { self, nixpkgs, bfom,  ... } @inputs:
    let
      pkgs = nixpkgs.legacyPackages.x86_64-linux.pkgs;
    in {
    # nix run
    apps.x86_64-linux.default = {
      type = "app";
      program = "${bfom.defaultPackage.x86_64-linux}/bin/cargo-bfom";
    };
  };

}
